#include <bindings.dsl.h>
#include <gts.h>

-- | <http://gts.sourceforge.net/reference/gts-containee-classes.html>

module Bindings.Gts.GeometricalObjectHierarchy.ContaineeClasses where
import Bindings.GLib
import Bindings.Gts.Types
#strict_import

#cinline GTS_CONTAINEE_CLASS , Ptr a -> Ptr <GtsContaineeClass>
#cinline GTS_CONTAINEE , Ptr a -> Ptr <GtsContainee>
#cinline GTS_IS_CONTAINEE , Ptr a -> Ptr <gboolean> 

#ccall gts_containee_class , IO (Ptr <GtsContaineeClass>) 
#ccall gts_containee_new , Ptr <GtsContaineeClass> -> IO (Ptr <GtsContainee>) 
#ccall gts_containee_is_contained , Ptr <GtsContainee> -> Ptr <GtsContainer> -> IO <gboolean>
#ccall gts_containee_replace , Ptr <GtsContainee> -> Ptr <GtsContainee> -> IO ()

#cinline GTS_SLIST_CONTAINEE_CLASS , Ptr a -> Ptr <GtsSListContaineeClass>
#cinline GTS_SLIST_CONTAINEE , Ptr a -> Ptr <GtsSListContainee>
#cinline GTS_IS_SLIST_CONTAINEE , Ptr a -> Ptr <gboolean> 

#ccall gts_slist_containee_class , IO (Ptr <GtsSListContaineeClass>) 
