#include <bindings.dsl.h>
#include <gts.h>

-- | <http://gts.sourceforge.net/reference/gts-faces.html>

module Bindings.Gts.GeometricalObjectHierarchy.Faces where
import Bindings.GLib
import Bindings.Gts.Types
#strict_import

#cinline GTS_FACE_CLASS , Ptr a -> Ptr <GtsFaceClass>
#cinline GTS_FACE , Ptr a -> Ptr <GtsFace>
#cinline GTS_IS_FACE , Ptr a -> Ptr <gboolean> 

#ccall gts_face_class , IO (Ptr <GtsFaceClass>) 
#ccall gts_face_new , Ptr <GtsFaceClass> -> Ptr <GtsEdge> -> Ptr <GtsEdge> -> Ptr <GtsEdge> -> IO (Ptr <GtsFace>) 
#ccall gts_face_has_parent_surface , Ptr <GtsFace> -> Ptr <GtsSurface> -> IO <gboolean>
#ccall gts_face_neighbor_number , Ptr <GtsFace> -> Ptr <GtsSurface> -> IO <guint>
#ccall gts_face_neighbors , Ptr <GtsFace> -> Ptr <GtsSurface> -> IO (Ptr <GSList>) 
#ccall gts_face_foreach_neighbor , Ptr <GtsFace> -> Ptr <GtsSurface> -> <GtsFunc> -> <gpointer> -> IO ()
#ccall gts_face_is_compatible , Ptr <GtsFace> -> Ptr <GtsSurface> -> IO <gboolean>
#ccall gts_faces_from_edges , Ptr <GSList> -> Ptr <GtsSurface> -> IO (Ptr <GSList>) 
