#include <bindings.dsl.h>
#include <gts.h>

-- | <http://gts.sourceforge.net/reference/gts-boolean-operations.html>

module Bindings.Gts.SurfaceOperations.BooleanOperations where
import Bindings.GLib
import Bindings.Gts.Types
#strict_import

#cinline GTS_SURFACE_INTER_CLASS , Ptr a -> Ptr <GtsSurfaceInterClass>
#cinline GTS_SURFACE_INTER , Ptr a -> Ptr <GtsSurfaceInter>
#cinline GTS_IS_SURFACE_INTER , Ptr a -> Ptr <gboolean> 

#ccall gts_surface_intersection , Ptr <GtsSurface> -> Ptr <GtsSurface> -> Ptr <GNode> -> Ptr <GNode> -> IO (Ptr <GSList>) 
#ccall gts_surface_inter_class , IO (Ptr <GtsSurfaceInterClass>) 
#ccall gts_surface_inter_new , Ptr <GtsSurfaceInterClass> -> Ptr <GtsSurface> -> Ptr <GtsSurface> -> Ptr <GNode> -> Ptr <GNode> -> <gboolean> -> <gboolean> -> IO (Ptr <GtsSurfaceInter>) 
#ccall gts_surface_inter_check , Ptr <GtsSurfaceInter> -> Ptr <gboolean> -> IO <gboolean>

#ccall gts_surface_inter_boolean , Ptr <GtsSurfaceInter> -> Ptr <GtsSurface> -> <GtsBooleanOperation> -> IO ()
#ccall gts_surface_is_self_intersecting , Ptr <GtsSurface> -> IO (Ptr <GtsSurface>) 
