#include <bindings.dsl.h>
#include <gts.h>

-- | <http://gts.sourceforge.net/reference/gts-out-of-core-simplification.html>

module Bindings.Gts.SurfaceOperations.OutOfCoreSimplification where
import Bindings.GLib
import Bindings.Gts.Types
#strict_import

#cinline GTS_CLUSTER_CLASS , Ptr a -> Ptr <GtsClusterClass>
#cinline GTS_CLUSTER , Ptr a -> Ptr <GtsCluster>
#cinline GTS_IS_CLUSTER , Ptr a -> Ptr <gboolean> 

#ccall gts_cluster_class , IO (Ptr <GtsClusterClass>) 
#ccall gts_cluster_add , Ptr <GtsCluster> -> Ptr <GtsPoint> -> <gpointer> -> IO ()
#ccall gts_cluster_update , Ptr <GtsCluster> -> IO ()

#cinline GTS_CLUSTER_GRID_CLASS , Ptr a -> Ptr <GtsClusterGridClass>
#cinline GTS_CLUSTER_GRID , Ptr a -> Ptr <GtsClusterGrid>
#cinline GTS_IS_CLUSTER_GRID , Ptr a -> Ptr <gboolean> 

#ccall gts_cluster_grid_class , IO (Ptr <GtsClusterGridClass>) 
#ccall gts_cluster_grid_new , Ptr <GtsClusterGridClass> -> Ptr <GtsClusterClass> -> Ptr <GtsSurface> -> Ptr <GtsBBox> -> <gdouble> -> IO (Ptr <GtsClusterGrid>) 
#ccall gts_cluster_grid_add_triangle , Ptr <GtsClusterGrid> -> Ptr <GtsPoint> -> Ptr <GtsPoint> -> Ptr <GtsPoint> -> <gpointer> -> IO ()
