#include <bindings.dsl.h>
#include <gts.h>

-- | <http://gts.sourceforge.net/reference/gts-miscellaneous-macros-and-functions.html>

module Bindings.Gts.BasicMacrosFunctionsAndDataStructures.MiscellaneousMacrosAndFunctions where
import Bindings.GLib
import Bindings.Gts.Types
#strict_import

#globalarray GTS_COMMENTS , CChar

#ccall gts_file_new , Ptr CFile -> IO (Ptr <GtsFile>) 
#ccall gts_file_next_token , Ptr <GtsFile> -> IO ()
#ccall gts_file_first_token_after , Ptr <GtsFile> -> <GtsTokenType> -> IO ()
#ccall gts_file_assign_start , Ptr <GtsFile> -> Ptr <GtsFileVariable> -> IO ()
#ccall gts_file_assign_next , Ptr <GtsFile> -> Ptr <GtsFileVariable> -> IO (Ptr <GtsFileVariable>) 
#ccall gts_file_assign_variables , Ptr <GtsFile> -> Ptr <GtsFileVariable> -> IO ()
#ccall gts_file_getc , Ptr <GtsFile> -> IO <gint>
#ccall gts_file_getc_scope , Ptr <GtsFile> -> IO <gint>
#ccall gts_file_read , Ptr <GtsFile> -> <gpointer> -> <guint> -> <guint> -> IO <guint>
#ccall gts_file_destroy , Ptr <GtsFile> -> IO ()
