#include <bindings.dsl.h>

-- | <http://gts.sourceforge.net/reference/gts-hierarchical-surfaces.html>

module Bindings.Gts.ProgressiveAndHierarchicalSurfaces.HierarchicalSurfaces where
import Bindings.GLib
import Bindings.Gts.Types
#strict_import

#cinline GTS_HSURFACE_CLASS , Ptr a -> Ptr <GtsHSurfaceClass>
#cinline GTS_HSURFACE , Ptr a -> Ptr <GtsHSurface>
#cinline GTS_IS_HSURFACE , Ptr a -> Ptr <gboolean> 

#ccall gts_hsurface_class , IO (Ptr <GtsHSurfaceClass>) 
#ccall gts_hsurface_new , Ptr <GtsHSurfaceClass> -> Ptr <GtsHSplitClass> -> Ptr <GtsPSurface> -> <GtsKeyFunc> -> <gpointer> -> <GtsKeyFunc> -> <gpointer> -> IO (Ptr <GtsHSurface>) 
#ccall gts_hsurface_traverse , Ptr <GtsHSurface> -> <GTraverseType> -> <gint> -> <GtsSplitTraverseFunc> -> <gpointer> -> IO ()
#ccall gts_hsurface_height , Ptr <GtsHSurface> -> IO <guint>
#ccall gts_hsurface_foreach , Ptr <GtsHSurface> -> <GTraverseType> -> <GtsFunc> -> <gpointer> -> IO ()
