#include <bindings.dsl.h>

-- | <http://gts.sourceforge.net/reference/gts-vertex-split.html>

module Bindings.Gts.ProgressiveAndHierarchicalSurfaces.VertexSplit where
import Bindings.GLib
import Bindings.Gts.Types
#strict_import

#cinline GTS_SPLIT_CLASS , Ptr a -> Ptr <GtsSplitClass>
#cinline GTS_SPLIT , Ptr a -> Ptr <GtsSplit>
#cinline GTS_IS_SPLIT , Ptr a -> Ptr <gboolean> 

#cinline GTS_SPLIT_V1 , Ptr <GtsSplit> -> IO (Ptr <GtsObject>)
#cinline GTS_SPLIT_V2 , Ptr <GtsSplit> -> IO (Ptr <GtsObject>)

#ccall gts_split_class , IO (Ptr <GtsSplitClass>) 
#ccall gts_split_new , Ptr <GtsSplitClass> -> Ptr <GtsVertex> -> Ptr <GtsObject> -> Ptr <GtsObject> -> IO (Ptr <GtsSplit>) 
#ccall gts_split_collapse , Ptr <GtsSplit> -> Ptr <GtsEdgeClass> -> Ptr <GtsEHeap> -> IO ()
#ccall gts_split_expand , Ptr <GtsSplit> -> Ptr <GtsSurface> -> Ptr <GtsEdgeClass> -> IO ()
#ccall gts_split_height , Ptr <GtsSplit> -> IO <guint>

#ccall gts_split_traverse , Ptr <GtsSplit> -> <GTraverseType> -> <gint> -> <GtsSplitTraverseFunc> -> <gpointer> -> IO ()
