#include <bindings.dsl.h>
#include <gts.h>

-- | <http://gts.sourceforge.net/reference/gts-surface-simplification-and-refinement.html>

module Bindings.Gts.SurfaceOperations.SurfaceSimplificationAndRefinement where
import Bindings.GLib
import Bindings.Gts.Types
#strict_import

#ccall gts_surface_refine , Ptr <GtsSurface> -> <GtsKeyFunc> -> <gpointer> -> <GtsRefineFunc> -> <gpointer> -> <GtsStopFunc> -> <gpointer> -> IO ()

#ccall gts_surface_coarsen , Ptr <GtsSurface> -> <GtsKeyFunc> -> <gpointer> -> <GtsCoarsenFunc> -> <gpointer> -> <GtsStopFunc> -> <gpointer> -> <gdouble> -> IO ()
#ccall gts_coarsen_stop_number , <gdouble> -> <guint> -> Ptr <guint> -> IO <gboolean>
#ccall gts_coarsen_stop_cost , <gdouble> -> <guint> -> Ptr <gdouble> -> IO <gboolean>

#ccall gts_volume_optimized_vertex , Ptr <GtsEdge> -> Ptr <GtsVertexClass> -> Ptr <GtsVolumeOptimizedParams> -> IO (Ptr <GtsVertex>) 
#ccall gts_volume_optimized_cost , Ptr <GtsEdge> -> Ptr <GtsVolumeOptimizedParams> -> IO <gdouble>
#ccall gts_edge_collapse_is_valid , Ptr <GtsEdge> -> IO <gboolean>
#ccall gts_edge_collapse_creates_fold , Ptr <GtsEdge> -> Ptr <GtsVertex> -> <gdouble> -> IO <gboolean>
