#include <bindings.cmacros.h>
#include <gts.h>
#include <math.h>

BC_INLINE1(GTS_SEGMENT_CLASS,void*,GtsSegmentClass*)
BC_INLINE1(GTS_SEGMENT,void*,GtsSegment*)
BC_INLINE1(GTS_IS_SEGMENT,void*,gboolean* )
BC_INLINE2(gts_segments_are_identical,GtsSegment*,GtsSegment*,gboolean)
BC_INLINE3(gts_segment_connect,GtsSegment*,GtsVertex*,GtsVertex*,gboolean)
BC_INLINE2(gts_segments_touch,GtsSegment*,GtsSegment*,gboolean)
BC_INLINE1(GTS_EDGE_CLASS,void*,GtsEdgeClass*)
BC_INLINE1(GTS_EDGE,void*,GtsEdge*)
BC_INLINE1(GTS_IS_EDGE,void*,gboolean* )
BC_INLINE1(gts_edge_is_unattached,GtsEdge*,gboolean)
BC_INLINE1(GTS_TRIANGLE_CLASS,void*,GtsTriangleClass*)
BC_INLINE1(GTS_TRIANGLE,void*,GtsTriangle*)
BC_INLINE1(GTS_IS_TRIANGLE,void*,gboolean* )
BC_INLINE1(gts_triangle_vertex,GtsTriangle*,GtsVertex*)
BC_INLINE1(GTS_CONTAINEE_CLASS,void*,GtsContaineeClass*)
BC_INLINE1(GTS_CONTAINEE,void*,GtsContainee*)
BC_INLINE1(GTS_IS_CONTAINEE,void*,gboolean* )
BC_INLINE1(GTS_SLIST_CONTAINEE_CLASS,void*,GtsSListContaineeClass*)
BC_INLINE1(GTS_SLIST_CONTAINEE,void*,GtsSListContainee*)
BC_INLINE1(GTS_IS_SLIST_CONTAINEE,void*,gboolean* )
BC_INLINE1(GTS_SURFACE_CLASS,void*,GtsSurfaceClass*)
BC_INLINE1(GTS_SURFACE,void*,GtsSurface*)
BC_INLINE1(GTS_IS_SURFACE,void*,gboolean* )
BC_INLINE1(GTS_FACE_CLASS,void*,GtsFaceClass*)
BC_INLINE1(GTS_FACE,void*,GtsFace*)
BC_INLINE1(GTS_IS_FACE,void*,gboolean* )
BC_INLINE1(GTS_POINT_CLASS,void*,GtsPointClass*)
BC_INLINE1(GTS_POINT,void*,GtsPoint*)
BC_INLINE1(GTS_IS_POINT,void*,gboolean* )
BC_INLINE3(gts_point_is_in_rectangle,GtsPoint*,GtsPoint*,GtsPoint*,gboolean)
BC_INLINE1(GTS_OBJECT_CLASS,void*,GtsObjectClass*)
BC_INLINE1(GTS_OBJECT,void*,GtsObject*)
BC_INLINE1(GTS_IS_OBJECT,void*,gboolean* )
BC_INLINE1(GTS_OBJECT_FLAGS,void*,guint32)
BC_INLINE2VOID(GTS_OBJECT_SET_FLAGS,void*,guint32)
BC_INLINE2VOID(GTS_OBJECT_UNSET_FLAGS,void*,guint32)
BC_INLINE1(GTS_OBJECT_DESTROYED,void*,gboolean)
BC_INLINE2(gts_object_class_is_from_class,gpointer,gpointer,gpointer)
BC_INLINE2(gts_object_is_from_class,gpointer,gpointer,gpointer)
BC_INLINE1(GTS_CONTAINER_CLASS,void*,GtsContainerClass*)
BC_INLINE1(GTS_CONTAINER,void*,GtsContainer*)
BC_INLINE1(GTS_IS_CONTAINER,void*,gboolean* )
BC_INLINE1(GTS_HASH_CONTAINER_CLASS,void*,GtsHashContainerClass*)
BC_INLINE1(GTS_HASH_CONTAINER,void*,GtsHashContainer*)
BC_INLINE1(GTS_IS_HASH_CONTAINER,void*,gboolean* )
BC_INLINE1(GTS_SLIST_CONTAINER_CLASS,void*,GtsSListContainerClass*)
BC_INLINE1(GTS_SLIST_CONTAINER,void*,GtsSListContainer*)
BC_INLINE1(GTS_IS_SLIST_CONTAINER,void*,gboolean* )
BC_INLINE1(GTS_VERTEX_CLASS,void*,GtsVertexClass*)
BC_INLINE1(GTS_VERTEX,void*,GtsVertex*)
BC_INLINE1(GTS_IS_VERTEX,void*,gboolean* )
BC_INLINE1(GTS_PSURFACE_CLASS,void*,GtsPSurfaceClass*)
BC_INLINE1(GTS_PSURFACE,void*,GtsPSurface*)
BC_INLINE1(GTS_IS_PSURFACE,void*,gboolean* )
BC_INLINE1(GTS_PSURFACE_IS_CLOSED,GtsPSurface*,gboolean)
BC_INLINE1(GTS_SPLIT_CLASS,void*,GtsSplitClass*)
BC_INLINE1(GTS_SPLIT,void*,GtsSplit*)
BC_INLINE1(GTS_IS_SPLIT,void*,gboolean* )
BC_INLINE1(GTS_SPLIT_V1,GtsSplit*,gpointer)
BC_INLINE1(GTS_SPLIT_V2,GtsSplit*,gpointer)
BC_INLINE1(GTS_HSURFACE_CLASS,void*,GtsHSurfaceClass*)
BC_INLINE1(GTS_HSURFACE,void*,GtsHSurface*)
BC_INLINE1(GTS_IS_HSURFACE,void*,gboolean* )
BC_INLINE1(GTS_HSPLIT_CLASS,void*,GtsHSplitClass*)
BC_INLINE1(GTS_HSPLIT,void*,GtsHSplit*)
BC_INLINE1(GTS_IS_HSPLIT,void*,gboolean* )
BC_INLINE3VOID(gts_vector_init,GtsVector,GtsPoint*,GtsPoint*)
BC_INLINE2(gts_vector_scalar,GtsVector,GtsVector,gdouble)
BC_INLINE3VOID(gts_vector_cross,GtsVector,GtsVector,GtsVector)
BC_INLINE1(gts_vector_norm,GtsVector,gdouble)
BC_INLINE1VOID(gts_vector_normalize,GtsVector)
BC_INLINE1(GTS_BBOX_CLASS,void*,GtsBBoxClass*)
BC_INLINE1(GTS_BBOX,void*,GtsBBox*)
BC_INLINE1(GTS_IS_BBOX,void*,gboolean* )
BC_INLINE2(gts_bbox_point_is_inside,GtsBBox*,GtsPoint*,gboolean)
BC_INLINE1VOID(gts_kdtree_destroy,GNode*)
BC_INLINE1(GTS_GNODE_SPLIT_CLASS,void*,GtsGNodeSplitClass*)
BC_INLINE1(GTS_GNODE_SPLIT,void*,GtsGNodeSplit*)
BC_INLINE1(GTS_IS_GNODE_SPLIT,void*,gboolean* )
BC_INLINE1(GTS_GNODE_SPLIT_N1,GtsGNodeSplit*,gpointer)
BC_INLINE1(GTS_GNODE_SPLIT_N2,GtsGNodeSplit*,gpointer)
BC_INLINE1(GTS_PGRAPH_CLASS,void*,GtsPGraphClass*)
BC_INLINE1(GTS_PGRAPH,void*,GtsPGraph*)
BC_INLINE1(GTS_IS_PGRAPH,void*,gboolean* )
BC_INLINE1(GTS_WGEDGE_CLASS,void*,GtsWGEdgeClass*)
BC_INLINE1(GTS_WGEDGE,void*,GtsWGEdge*)
BC_INLINE1(GTS_IS_WGEDGE,void*,gboolean* )
BC_INLINE1(GTS_WGNODE_CLASS,void*,GtsWGNodeClass*)
BC_INLINE1(GTS_WGNODE,void*,GtsWGNode*)
BC_INLINE1(GTS_IS_WGNODE,void*,gboolean* )
BC_INLINE1(GTS_WGRAPH_CLASS,void*,GtsWGraphClass*)
BC_INLINE1(GTS_WGRAPH,void*,GtsWGraph*)
BC_INLINE1(GTS_IS_WGRAPH,void*,gboolean* )
BC_INLINE1(GTS_GNODE_CLASS,void*,GtsGNodeClass*)
BC_INLINE1(GTS_GNODE,void*,GtsGNode*)
BC_INLINE1(GTS_IS_GNODE,void*,gboolean* )
BC_INLINE2(GTS_GNODE_NEIGHBOR,GtsGNode*,GtsGEdge*,GtsGNode*)
BC_INLINE1(GTS_GEDGE_CLASS,void*,GtsGEdgeClass*)
BC_INLINE1(GTS_GEDGE,void*,GtsGEdge*)
BC_INLINE1(GTS_IS_GEDGE,void*,gboolean* )
BC_INLINE3(gts_gedge_connects,GtsGEdge*,GtsGNode*,GtsGNode*,gboolean)
BC_INLINE1(GTS_GRAPH_CLASS,void*,GtsGraphClass*)
BC_INLINE1(GTS_GRAPH,void*,GtsGraph*)
BC_INLINE1(GTS_IS_GRAPH,void*,gboolean* )
BC_INLINE1(GTS_FNODE_CLASS,void*,GtsFNodeClass*)
BC_INLINE1(GTS_FNODE,void*,GtsFNode*)
BC_INLINE1(GTS_IS_FNODE,void*,gboolean* )
BC_INLINE1(GTS_CONSTRAINT_CLASS,void*,GtsConstraintClass*)
BC_INLINE1(GTS_CONSTRAINT,void*,GtsConstraint*)
BC_INLINE1(GTS_IS_CONSTRAINT,void*,gboolean* )
BC_INLINE1(GTS_SURFACE_INTER_CLASS,void*,GtsSurfaceInterClass*)
BC_INLINE1(GTS_SURFACE_INTER,void*,GtsSurfaceInter*)
BC_INLINE1(GTS_IS_SURFACE_INTER,void*,gboolean* )
BC_INLINE1(GTS_CLUSTER_CLASS,void*,GtsClusterClass*)
BC_INLINE1(GTS_CLUSTER,void*,GtsCluster*)
BC_INLINE1(GTS_IS_CLUSTER,void*,gboolean* )
BC_INLINE1(GTS_CLUSTER_GRID_CLASS,void*,GtsClusterGridClass*)
BC_INLINE1(GTS_CLUSTER_GRID,void*,GtsClusterGrid*)
BC_INLINE1(GTS_IS_CLUSTER_GRID,void*,gboolean* )
BC_GLOBALARRAY(GTS_COMMENTS,char)
